<div class="container py-5">
    <div class="row">
        <div class="row">
            <div class="col-md-8 offset-md-2">
                <span class="anchor" id="formLogin"></span>

                <!-- form card login with validation feedback -->
                <div class="card card-outline-secondary">
                    <div class="card-header">
                        <h3 class="mb-0">Flight Search</h3>
                    </div>
                    <div class="card-body">
                        <div class="form-row mt-4">
                            <div class="col-sm-6 pb-3">
                                <div class="form-check-inline">
                                    <label class="form-check-label">
                                        <input type="radio" class="form-check-input" name="opt" [(ngModel)]="search.opt"
                                            [value]="true" [checked]="opt">Origin/Destination
                                    </label>
                                </div>
                            </div>
                            <div class="col-sm-6 pb-3">
                                <div class="form-check-inline">
                                    <label class="form-check-label">
                                        <input type="radio" class="form-check-input" name="opt" [(ngModel)]="search.opt"
                                            [value]="false" [checked]="opt">Flight Number
                                    </label>
                                </div>
                            </div>
                            <div class="col-sm-4 pb-3" *ngIf="search.opt">
                                <label for="exampleAccount">Departure From</label>
                                <div class="input-group">
                                    <div class="input-group-prepend"><span class="input-group-text"><i
                                                class="fa fa-map-marker" aria-hidden="true"></i></span></div>
                                    <input type="text" class="form-control" id="exampleAmount" placeholder="Origin"
                                        [(ngModel)]="search.departsFrom">
                                </div>
                            </div>
                            <div class="col-sm-4 pb-3" *ngIf="search.opt">
                                <label for="exampleCtrl">Destination</label>
                                <div class="input-group">
                                    <div class="input-group-prepend"><span class="input-group-text"><i
                                                class="fa fa-map-marker" aria-hidden="true"></i></span></div>
                                    <input type="text" class="form-control" id="exampleAmount" placeholder="Destination"
                                        [(ngModel)]="search.destination">
                                </div>
                            </div>
                            <div class="col-sm-4 pb-3" *ngIf="search.opt">
                                <label for="exampleLast">Depart Date</label>
                                <div class="input-group">
                                    <div class="input-group-prepend"><span class="input-group-text"><i
                                                class="fa fa-calendar" aria-hidden="true"></i></span></div>
                                    <input type="text" class="form-control" bsDatepicker id="exampleAmount"
                                        placeholder="Depart Date" [(ngModel)]="search.departDate">
                                </div>
                            </div>
                            <div class="col-sm-4 pb-3" *ngIf="!search.opt">
                                <label for="exampleFirst">Flight Number</label>
                                <div class="input-group">
                                    <div class="input-group-prepend"><span class="input-group-text"><i
                                                class="fa fa-plane" aria-hidden="true"></i></span></div>
                                    <input type="text" class="form-control" id="exampleAmount"
                                        placeholder="Flight Number" [(ngModel)]="search.fNumber">
                                </div>
                            </div>

                            <div class="col-sm-4 pb-3" *ngIf="!search.opt">
                                <label for="exampleAmount">Depart Date</label>
                                <div class="input-group">
                                    <div class="input-group-prepend"><span class="input-group-text"><i
                                                class="fa fa-calendar" aria-hidden="true"></i></span></div>
                                    <input type="text" class="form-control" bsDatepicker id="exampleAmount"
                                        placeholder="Depart Date" [(ngModel)]="search.fdepartDate">
                                </div>
                            </div>
                            <div class="col-sm-4 pb-3" *ngIf="!search.opt"></div>
                            <div class="form-group" *ngIf="search.opt">
                                <button type="submit" class="btn btn-success btn-md float-right"
                                    (click)="searchFlights()">Search</button>
                            </div>
                            <div class="form-group" *ngIf="!search.opt">
                                <button type="submit" class="btn btn-success btn-md float-right"
                                    (click)="searchFromNumber()">Search</button>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>

<div class="container">

    <div *ngIf="respSuccess">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th scope="col">Airlines</th>
                    <th scope="col">Arrival Time</th>
                    <th scope="col">Distance</th>
                    <th scope="col">Total Time</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let resp of fsearchList">
                    <td>{{resp.airlines}}</td>
                    <td>{{resp.arrival | date: 'dd/MM/yyyy h:mm a'}}</td>
                    <td>{{resp.distance}}</td>
                    <td>{{resp.totalTime}}</td>
                </tr>
            </tbody>
        </table>

    </div>
    <div *ngIf="!respSuccess">
        {{noResponse}}
    </div>
</div>